#!/usr/bin/env python
# coding: latin-1
# Autor:   Ingmar Stapel
# Datum:   20170513
# Version:   1.0
# Homepage:   http://custom-build-robots.com

# Dieses Programm wurde fuer die Sprachsteuerung des
# Raspberry Pi Roboters entwickelt.

from flask import Flask
import time
import L298NHBridge as HBridge

app = Flask(__name__)

speedleft = 0.6
speedright = 0.6

@app.route('/')
def index():
	return 'Hello world'

@app.route('/forward')
def forward():
	print("Raspberry Pi Bot Forward!")
	HBridge.setMotorLeft(speedleft)
	HBridge.setMotorRight(speedright)	
	time.sleep(2)
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)		
	return 'Raspberry Pi Bot moved forward!'

@app.route('/backward')
def backward():
	print("Raspberry Pi Bot Backward!")
	HBridge.setMotorLeft(-speedleft)
	HBridge.setMotorRight(-speedright)
	time.sleep(2)
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)	
	return 'Raspberry Pi Bot Backward!'

@app.route('/left')
def left():
	print("Raspberry Pi Bot Left!")
	HBridge.setMotorLeft(-(speedleft+0.3))
	HBridge.setMotorRight(speedright+0.3)
	time.sleep(2)
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)	
	return 'Raspberry Pi Bot Left!'

@app.route('/right')
def right():
	print("Raspberry Pi Bot Right!")
	HBridge.setMotorLeft(speedleft+0.3)
	HBridge.setMotorRight(-(speedright+0.3))
	time.sleep(2)
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)	
	return 'Raspberry Pi Bot Right!'

@app.route('/stop')
def stop():
	print("Raspberry Pi Bot Stop!")
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)
	return 'Raspberry Pi Bot Stop!'

@app.route('/wait')
def wait():
	print("Raspberry Pi Bot Wait!")
	HBridge.setMotorLeft(0)
	HBridge.setMotorRight(0)
	return 'Raspberry Pi Bot Wait!'
	
if __name__ == '__main__':
	app.run(debug=True, host='0.0.0.0', port=7000)